Page MenuHomePhabricator

Release Programs dashboard 1.0 alpha
Closed, ResolvedPublic

Description

Release a version of the application which we feel confident has only documented bugs. Otherwise, main features are in place and functional.

This task is complete once we release the first iteration, but there will be several patch and test cycles.

Related Objects

StatusAssignedTask
ResolvedRagesoss
InvalidNone
ResolvedRagesoss
ResolvedRagesoss
Resolvedawight
Resolvedawight
Invalidawight
ResolvedNikerabbit
Resolvedawight
Resolvedawight
ResolvedRagesoss
ResolvedRagesoss
ResolvedAbit
Duplicate FloorKoudijs
Resolvedawight
DeclinedHaritha28
DeclinedWdssilva
DeclinedKenua
Resolvedawight
ResolvedRagesoss
OpenNone
InvalidNone
Resolvedawight
Resolvedawight
DeclinedNone
OpenNone
OpenNone
ResolvedRagesoss
ResolvedAbit

Event Timeline

@Elitre @FloorKoudijs @Abit
Please makes notes here as you find alpha testers. We'll also want to set blocking tasks for, e.g., RTL support and Hebrew interface translations, if hewiki developers are on board.

@awight, which kind of notes do you think you'll need?
Do you want people's names? Do you want their feedback?
Both of those will be found at whatever page we'll ask people to use, at mediawiki.org, when testing starts.

Pinging @Esh77 and @Lilitik22 here: they can help testing for Hebrew and for Armenian Wiktionary. I have more people that are happy to help testing, but I'll wait to hear from @awight when he feels the software is ready for more testers. :)

Elitre added a comment.EditedMar 9 2016, 4:07 PM

Are both these people only involved in Edu programs, or also in GLAMs at large? If the former, then we need to find a few other people to provide the non-Edu perspective - and I think a few people among the former users of the Outreach dashboard (I mean the ones who pushed to have it) should be involved anyway.

@Esh77 is experienced both in GLAMs and Education. @Lilitik22 works on WikiCamps, which have a very different set-up from a traditional classroom assignment. I think both of these awesome people can help testing from their diverse perspectives. Also pinging @Vojtech.dostal since he really wants to be closely involved, and he has lots of experience in education programs, for students of all ages (including seniors).

Hi. I can test hy.wiktionary whenever you tell me :)

Elitre added a comment.EditedMar 11 2016, 4:52 PM

AFAICT you can just test what you see on the alpha site. It is not going to publish content elsewhere at the moment.
One thing we need right now is getting the interface fully translated for these languages, so please see here for Armenian and here for Hebrew to help with that.
Once the interface is fully translated, you can change your interface language from your browser's preferences to see the alpha site in your language, so you can report anything which looks odd.

Thank you. I and @DavidSaroyan will start translating.

Thank you @Lilitik22 and @DavidSaroyan for helping with this!

Ragesoss closed this task as Resolved.Jun 13 2016, 9:22 PM
Ragesoss claimed this task.
Ragesoss added a subscriber: Ragesoss.

The alpha version is currently live at https://outreachdashboard.wmflabs.org